<?php
session_name("td_image");
session_start();
?>
<!doctype html>

<html lang="fr" class="standard TD" id="accueilStandard">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="../../css_v3/structure.css">
  <title>Niveau Standard</title>
  <meta name="description" content="Enseignements d'informatique à l'Université Paul Valéry, Montpellier, France">
  <meta name="Keywords" content="Informatique, Niveau Standard, Enseignement">
  <meta name="Publisher" content="Université Montpellier Paul Valéry">
</head>

<body>

<!-- bandeau en haut de l'écran -->
<div class="bandeau" id="haut">
    <div id="logoEtTitreDuBandeau" class="conteneurBandeau"> <!--image et titre au dessus du menu du bandeau-->
      <div id="logosDuBandeau">
        <img class="logo" src="../../css_v3/images/LOGO-VERT-VF2.png" alt="logo_menu">
        <img class="logo" src="../../css_v3/images/logo_ufr6.png"  alt="Logo Université UFR 6">
      </div>

      <h1>Enseignements d'informatique - niveau Standard</h1>  
    </div><!--fin conteneur logo et titre du bandeau-->
    
    <nav id="navBandeau">
      <ul id="navigsite">
        <li><a href="https://www.univ-montp3.fr/miap/ens/info/Standard_L1/Accueil/Accueil.html" >Accueil Standard</a></li>
        <li><a href="https://www.univ-montp3.fr" >Accueil UPV</a></li>
        <li><a href="https://www.univ-montp3.fr/miap/ens/info/Accueil/Accueil.html" >Accueil Informatique</a></li>
        <li><a href="https://www.univ-montp3.fr/miap/ens/Inscriptions/scripts_communs/login.php?site=test ">Site d'inscription en TD</a></li>
        <li><a href="https://monupv.univ-montp3.fr/uPortal/render.userLayoutRootNode.uP">E.N.T</a></li>
        <li><a href="https://moodle.univ-montp3.fr/">Moodle</a></li>
        <li><a href="https://www.univ-montp3.fr/miap/ens/info/Accueil/P9.html">Contacts</a></li>
      </ul>
    </nav>
</div><!-- Fin du bandeau-->

<div id="separateurBandeau">
<img id="bandeCouleurBandeau" src="../../css_v3/images/bg_header.png" alt="bande colorée">
</div>

<div class="page"><!--On appelle page l'ensemble menu gauche + article-->

<!-- menu a gauche de la page-->
<nav class="menu" > 
  <p id="texteCacherMenu" class="" onclick="cacherMenu()">Cacher le menu</p>

  <div id="menuGauche">  

<a href="../../Standard_L1/index.html" >Sommaire Standard</a>

  
<h1>TD A3 : Tailles de fichiers, images</h1>
<h2>Supports</h2>
<ul>
<li><a href="documents/intro_images_6sur1.pdf">cours en pdf (6 sur 1)</a></li>
<li><a href="documents/intro_images.pptx">cours en pptx</a></li>
<li><a href="documents/TDA3.zip">Archive (zip) TD A3</a></li>
</ul>

<h2>Étapes du TD</h2>
<ol>
  <li><a href="index.html">Introduction</a></li>
  <li class="current"><a href="recup_images_pour_debuter.php">Première récupération d'images</a></li>
  <li><a href="insertion_base.html">Insertion d'images</a></li>
  <li><a href="gestion_taille_fichier_avec_images.html">Réduction taille d'images</a></li>

  <li><a href="pixellisation.html">Pixellisation</a></li>
  <li><a href="formats_image.html">Formats d'images</a></li>
  <li><a href="plus_sur_l_ancrage.html">Plus sur l'ancrage</a></li>
  <li><a href="legendes.html">Légendes d'images</a></li>
<li><a href="capture_ecran.html">Captures d'écran</a></li>
  <li><a href="recherche_et_droit_images.html">Droit d'images</a></li>
  <li><a  href="ExoFin.html">Fin du TD</a></li>
 
</ol>
<h2>Si du temps</h2>
<ul>
  <li><a href="si_du_temps.html">Manipulations et exercices complémentaires</a></li>
</ul>

    <div id="boutonCacherMenu" onclick="cacherMenu()">&lt;</div>
  </div><!-- Fin du menu gauche-->
</nav> <!--Fin du menu latéral gauche de la page-->

<!-- debut du contenu de la page -->
<article class="exo">
  <div id="texteAfficherMenu" class="invisible" onclick="afficherMenu()"><p>Afficher le menu</p><img src="../../css_v3/images/three-line-menu-icon.png" alt="icone menu"></div>

 <h1>2. Récupérer une image</h1>

<p>Rappel&nbsp;: cet exercice a été préparé pour réalisation avec Firefox. Si vous utilisez un autre navigateur et que le comportement que vous observez ne semble pas cohérent avec les descriptions de ce TD, n'hésitez pas à reprendre le TD avec Firefox.
</p>

<p>
<em>Important&nbsp;!</em> Les images que vous allez récupérer ont été réalisées par les enseignants de ce cours et sont libres de droit.
</p>

<div class="afaire">
<h2>2.1. Première image</h2>

<p>Récupérez l'image suivante de
<a href="images/une_plante.jpg">un plan de romarin</a> (1,4Mo)
et enregistrez-la dans le dossier créé en début de TD.
(vous serez peut-être amenés d'une part à utiliser le bouton de votre navigateur permettant de revenir à la page précédente, d'autre part à recharger cette page, ce que vous pouvez faire, exceptionnellement, sans danger dans le cas présent).
</p>

<div class="faq">
  <input class="btonoff" type="checkbox" />
  <h3>Avez-vous correctement réalisé cet exercice&nbsp;?</h3>
  <div class="reponse onoff">
<h2></h2>

<p>
Avez-vous eu à un moment un message ou un écran similaire au suivant&nbsp;?
</p>
<p style="text-align:center">
<img src="images/alerte_rechargement_Firefox.png" width="500" alt="capture d'écran du message de Firefox : Le document a expiré. Ce document n’est plus disponible. Le document demandé n’est plus disponible dans le cache de Firefox.<br/>Par mesure de sécurité, Firefox ne redemande pas automatiquement de documents sensibles.<br/>Cliquez sur Réessayer pour redemander ce document depuis le site web."></p>

<ul>
<li><strong>Si vous n'avez pas eu le message d'erreur</strong>, bravo&nbsp;! vous avez le réflexe d'utiliser le menu contextuel pour récupérer la cible d'un lien que vous voulez récupérer pour retravailler, plutôt que de juste cliquer sur l'hyperlien pour aller à la ressource.</li>
<li><strong>Si vous avez eu le message d'erreur</strong>, vous avez sans doute été obligé d'utiliser le bouton <q>Réessayer</q> proposé par le navigateur et vous avez rechargé la page&nbsp;: heureusement qu'il n'y avait pas de risque lié à ce rechargement (ce qui pourrait être le cas si vous rencontrez ce message en utilisant un site marchand et que la page corresponde à une page de paiement).<br/>
Ce qui a provoqué l'image est vraisemblablement le fait d'avoir simplement cliqué sur l'hyperlien positionné sur le texte &laquo;&nbsp;un plan de romarin&nbsp;&raquo;. Cette méthode n'est pas la bonne quand vous voulez récupérer un document que vous désirez enregistrer.
La bonne méthode consiste à utiliser le menu contextuel de l'hyperlien (clic droit) et l'entrée du type &laquo;&nbsp;enregistrer sous&nbsp;&raquo;. Cette méthode permet de localiser le lieu de sauvegarde du fichier récupéré.
Essayez si ce n'est pas la méthode que vous avez utilisée.
</ul>

<p>
<strong>Bon à savoir</strong>
<ul>
<li>Pour savoir si un hyperlien vous permet d'accéder à une page web (html, php ou autre) ou plutôt à un document (image, traitement de texte, ...), il suffit de laisser le pointeur de la souris dessus quelques instants, l'adresse (l'url) de la cible apparaît et le suffixe en fin d'adresse vous donne une indication sur le format de fichiers de la cible.</li>
<li>Les fichiers <kbd>php</kbd> sont comme les fichiers <kbd>html</kbd> des fichiers au format texte seulement dans lequel se mélangent, sur le serveur, du code html et du code PHP (un langage de programmation). Avant le chargement du fichier, le code PHP est exécuté sur le serveur pour tenir compte d'éventuels paramètres (par exemple vos coordonnées bancaires quand vous faites un achat en ligne) transmis lors de l'appel du fichier PHP.</li>
<li>Dans votre pratique d'internet au quotidien, soyez particulièrement vigilant quand vous rencontrez le message précédent. Par exemple, si vous étiez en train d'effectuer un paiement en ligne, recharger la page peut entraîner un nouvel ordre de paiement. Ici Firefox nous protège d'une relance malencontreuse et nous l'explique&nbsp;: &laquo;Par mesure de sécurité, Firefox ne redemande pas automatiquement de documents sensibles.&raquo;).</li>
</ul>
</div><!-- Fin class reponseonoff -->
</div>
</div> <!-- fin à faire -->

<br/>

<div class="afaire">
<h2>2.2. Deuxième image</h2>

<p>Récupérez à présent l'image suivante de <a href="images/un_conifere.jpg">conifère</a> (1,2Mo).</p>
</div>



<p class="navigationTD">
<a href="insertion_base.html">
Passer à l'étape suivante<img src="../images/suivant.png" alt="fleche page suivante">
</a>
</p>

</article>
<!-- fin du contenu de la page -->

<div id="btnHaut" class="invisible"></div> <!-- bouton pour remonter en haut (display:none; affichage géré en javascript onscroll) -->
</div><!-- Fin de la page (menu + article)-->

<!--Gestion du bouton menu et de quelques dimensions via javascript on resize-->
<script type="text/javascript" src="../../css_v3/responsive2.js"></script>

</body>

</html>
